Catalog
get_environment
Read grantRead-onlyIdempotent
Get one environment by slug, archived or not. Returns the environment with the deployments of products that are not archived. Needs read access.
Inputs
environmentstringRequiredThe environment's slug, such as staging.
tools/callJSON-RPC
{ "jsonrpc": "2.0", "id": 1, "method": "tools/call", "params": { "name": "get_environment", "arguments": { "environment": "staging" } }}POST/agent/v1/environments:get
curl -X POST https://api.qa.clankership.net/agent/v1/environments:get \ -H "Authorization: Bearer $CLANKER_AGENT_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "environment": "staging" }'